Herald
OpenapiAuth

Get Turnstile configuration status for a realm

Returns whether Turnstile verification is enabled for the specified realm and the site key if enabled. Turnstile is considered enabled when a `secret_key` config row exists for the realm; the `site_key` is read from its own config row.

POST
/api/auth/{realmId}/turnstile/status

Returns whether Turnstile verification is enabled for the specified realm and the site key if enabled. Turnstile is considered enabled when a secret_key config row exists for the realm; the site_key is read from its own config row.

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/turnstile/status"
{  "enabled": true,  "site_key": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}